diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
index 9d8da94fd..9b4d4d377 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_service_id.py
@@ -38,7 +38,7 @@ class ServersWithServiceIDAddTestCase(BaseTestGenerator):
             data=json.dumps(self.server),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
index e8b48c0fc..7c0b005d9 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_add_server_with_ssh_tunnel.py
@@ -73,7 +73,7 @@ class ServersWithSSHTunnelAddTestCase(BaseTestGenerator):
             data=json.dumps(self.server),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
index 3f212f37a..785fbd5c7 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_check_ssl_connection.py
@@ -31,7 +31,7 @@ class TestSSLConnection(BaseTestGenerator):
                 connection.commit()
                 cursor.execute("SELECT ssl_is_used()")
                 is_ssl_used = cursor.fetchone()[0]
-                self.assertEquals(True, is_ssl_used)
+                self.assertEqual(True, is_ssl_used)
         else:
             self.skipTest(
                 'Cannot run SSL connection check test '
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_is_valid_address.py b/web/pgadmin/browser/server_groups/servers/tests/test_is_valid_address.py
index 05dc6da9e..48ce02754 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_is_valid_address.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_is_valid_address.py
@@ -32,7 +32,7 @@ class IsValidAddressTestCase(BaseTestGenerator):
         pass
 
     def runTest(self):
-        self.assertEquals(utils.is_valid_ipaddress(self.address),
+        self.assertEqual(utils.is_valid_ipaddress(self.address),
                           self.respdata)
 
     @classmethod
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
index 7fe3cf6a8..8444e1d72 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_add.py
@@ -29,7 +29,7 @@ class ServersAddTestCase(BaseTestGenerator):
         url = "{0}{1}/".format(self.url, utils.SERVER_GROUP)
         response = self.tester.post(url, data=json.dumps(self.server),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
         server_dict = {"server_id": int(self.server_id)}
@@ -68,7 +68,7 @@ class AddServersWithSavePasswordTestCase(BaseTestGenerator):
 
         response = self.tester.post(url, data=json.dumps(_server),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.server_id = response_data['node']['_id']
         server_dict = {"server_id": int(self.server_id)}
@@ -77,7 +77,7 @@ class AddServersWithSavePasswordTestCase(BaseTestGenerator):
                                    str(utils.SERVER_GROUP) + '/' +
                                    str(self.server_id),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         self.assertTrue('is_password_saved' in response.json['result'])
         utils.write_node_info("sid", server_dict)
 
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
index c2b184295..30917bd3c 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_delete.py
@@ -32,7 +32,7 @@ class ServerDeleteTestCase(BaseTestGenerator):
             raise Exception("No server to delete!!!")
         # Call API to delete the servers
         response = self.tester.delete(url + str(self.server_id))
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the server from SQLite """
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
index 9f92ffcce..0b4dc183b 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_get.py
@@ -37,7 +37,7 @@ class ServersGetTestCase(BaseTestGenerator):
         response = self.tester.get(self.url + str(utils.SERVER_GROUP) + '/' +
                                    str(server_id),
                                    follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def tearDown(self):
         """This function delete the server from SQLite """
diff --git a/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py b/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
index 8a69558e9..31c7a476e 100644
--- a/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
+++ b/web/pgadmin/browser/server_groups/servers/tests/test_server_put.py
@@ -36,7 +36,7 @@ class ServerUpdateTestCase(BaseTestGenerator):
             self.url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id), data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(put_response.status_code, 200)
+        self.assertEqual(put_response.status_code, 200)
 
     def tearDown(self):
         """This function delete the server from SQLite"""
diff --git a/web/pgadmin/browser/tests/test_change_password.py b/web/pgadmin/browser/tests/test_change_password.py
index fb86e4dfd..bbc81c685 100644
--- a/web/pgadmin/browser/tests/test_change_password.py
+++ b/web/pgadmin/browser/tests/test_change_password.py
@@ -108,7 +108,7 @@ class ChangePasswordTestCase(BaseTestGenerator):
             # Logout the Administrator before login normal user
             self.tester.logout()
             response = self.tester.login(self.username, self.password, True)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
             # test the 'change password' test case
             utils.change_password(self)
             # Delete the normal user after changing it's password
@@ -119,7 +119,7 @@ class ChangePasswordTestCase(BaseTestGenerator):
                 '/user_management/user/' + str(user_id),
                 follow_redirects=True
             )
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
         else:
             utils.change_password(self)
 
diff --git a/web/pgadmin/browser/tests/test_master_password.py b/web/pgadmin/browser/tests/test_master_password.py
index 5812b4dea..8d9be6326 100644
--- a/web/pgadmin/browser/tests/test_master_password.py
+++ b/web/pgadmin/browser/tests/test_master_password.py
@@ -73,23 +73,23 @@ class MasterPasswordTestCase(BaseTestGenerator):
                 data=json.dumps(req_data),
             )
 
-            self.assertEquals(response.json['data']['present'], True)
+            self.assertEqual(response.json['data']['present'], True)
         else:
             if 'reset' in req_data:
                 response = self.tester.delete(
                     '/browser/master_password'
                 )
-                self.assertEquals(response.status_code, 200)
-                self.assertEquals(response.json['data'], False)
+                self.assertEqual(response.status_code, 200)
+                self.assertEqual(response.json['data'], False)
             else:
                 response = self.tester.post(
                     '/browser/master_password',
                     data=json.dumps(req_data),
                 )
-                self.assertEquals(response.status_code, 200)
+                self.assertEqual(response.status_code, 200)
 
                 if hasattr(self, 'content'):
-                    self.assertEquals(response.json['data']['title'],
+                    self.assertEqual(response.json['data']['title'],
                                       self.content[0])
 
                     for text in self.content[1]:
@@ -99,8 +99,8 @@ class MasterPasswordTestCase(BaseTestGenerator):
                     response = self.tester.get(
                         '/browser/master_password'
                     )
-                    self.assertEquals(response.status_code, 200)
-                    self.assertEquals(response.json['data'], True)
+                    self.assertEqual(response.status_code, 200)
+                    self.assertEqual(response.json['data'], True)
 
     def tearDown(self):
         config.MASTER_PASSWORD_REQUIRED = False
diff --git a/web/pgadmin/dashboard/tests/test_dashboard_graphs.py b/web/pgadmin/dashboard/tests/test_dashboard_graphs.py
index 0baf02b48..043fcf23c 100644
--- a/web/pgadmin/dashboard/tests/test_dashboard_graphs.py
+++ b/web/pgadmin/dashboard/tests/test_dashboard_graphs.py
@@ -92,17 +92,17 @@ class DashboardGraphsTestCase(BaseTestGenerator):
             url = self.getStatsUrl(self.server_id, self.did,
                                    ",".join(self.chart_data.keys()))
             response = self.tester.get(url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
 
             resp_data = json.loads(response.data)
 
             # All requested charts received
-            self.assertEquals(len(resp_data.keys()),
+            self.assertEqual(len(resp_data.keys()),
                               len(self.chart_data.keys()))
 
             # All requested charts data received
             for chart_name, chart_vals in self.chart_data.items():
-                self.assertEquals(set(resp_data[chart_name].keys()),
+                self.assertEqual(set(resp_data[chart_name].keys()),
                                   set(chart_vals))
 
         else:
diff --git a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
index 797e5bb87..f0fe6db15 100644
--- a/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_backup_restore_test.py
@@ -91,7 +91,7 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
                 ".loading-logs"), 10)
 
         expected_backup_success_msg = "Successfully completed."
-        self.assertEquals(status, expected_backup_success_msg)
+        self.assertEqual(status, expected_backup_success_msg)
 
         backup_file = None
         # Check for XSS in Backup details
@@ -135,7 +135,7 @@ class PGUtilitiesBackupFeatureTest(BaseFeatureTest):
         self.page.wait_for_element_to_disappear(
             lambda driver: driver.find_element_by_css_selector(
                 ".loading-logs"), 10)
-        self.assertEquals(status, expected_backup_success_msg)
+        self.assertEqual(status, expected_backup_success_msg)
 
         # Check for XSS in Restore details
         if self.is_xss_check:
diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index 173723a3b..1147b2444 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -137,14 +137,14 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
         )
 
         if status != "Successfully completed.":
-            self.assertEquals(status, "Successfully completed.")
+            self.assertEqual(status, "Successfully completed.")
 
         command = self.page.find_by_css_selector(
             NavMenuLocators.
             process_watcher_detailed_command_canvas_css).text
 
         if self.test_level == 'database':
-            self.assertEquals(command, "VACUUM (VERBOSE)\nRunning Query:"
+            self.assertEqual(command, "VACUUM (VERBOSE)\nRunning Query:"
                                        "\nVACUUM VERBOSE;")
         elif self.is_xss_check and self.test_level == 'table':
             # Check for XSS in the dialog
@@ -158,7 +158,7 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
                 'Maintenance detailed window'
             )
         else:
-            self.assertEquals(command, "VACUUM "
+            self.assertEqual(command, "VACUUM "
                                        "(VERBOSE)\nRunning Query:"
                                        "\nVACUUM VERBOSE"
                                        " public." + self.table_name + ";")
diff --git a/web/pgadmin/feature_tests/view_data_dml_queries.py b/web/pgadmin/feature_tests/view_data_dml_queries.py
index 663289fe2..2be43d25e 100644
--- a/web/pgadmin/feature_tests/view_data_dml_queries.py
+++ b/web/pgadmin/feature_tests/view_data_dml_queries.py
@@ -339,7 +339,7 @@ CREATE TABLE public.nonintpkey
     def _verify_messsages(self, text):
         messages_ele = self.page.find_by_css_selector(
             QueryToolLocators.query_messages_panel)
-        self.assertEquals(text, messages_ele.text)
+        self.assertEqual(text, messages_ele.text)
 
     def _verify_row_data(self, row_height, config_check_data):
         self.page.click_execute_query_button()
@@ -369,7 +369,7 @@ CREATE TABLE public.nonintpkey
                     print("stale reference exception at id:", idx)
                     retry -= 1
             time.sleep(0.4)
-            self.assertEquals(element.text, config_check_data[str(idx)][1])
+            self.assertEqual(element.text, config_check_data[str(idx)][1])
 
         # scroll browser back to the left
         # to reset position so other assertions can succeed
diff --git a/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py b/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
index da71fe16e..b4f6ac183 100644
--- a/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
+++ b/web/pgadmin/tools/backup/tests/test_check_utility_exists_route_backup.py
@@ -33,6 +33,6 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
         does_utility_exist_mock.return_value = False
         server_id = self.server_information['server_id']
         response = self.tester.get(self.url.format(server_id))
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(self.expected_success_value, response['success'])
+        self.assertEqual(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_acl.py b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_acl.py
index 249bd3f21..65903fba4 100644
--- a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_acl.py
+++ b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_acl.py
@@ -54,7 +54,7 @@ class GrantWizardSaveGetACLTestCase(BaseTestGenerator):
         actual_response_code = response.status_code
         expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function disconnect database."""
diff --git a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_properties.py b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_properties.py
index 1aa2c2c1b..3b7a7c41a 100644
--- a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_properties.py
+++ b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_properties.py
@@ -85,7 +85,7 @@ class GrantWizardSaveGetPropertiesTestCase(BaseTestGenerator):
                     actual_response_code = response.status_code
                     expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function disconnect database."""
diff --git a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_sql.py b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_sql.py
index 6cc95b49b..a4aacfd3f 100644
--- a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_sql.py
+++ b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_get_sql.py
@@ -89,7 +89,7 @@ class GrantWizardSaveGetSQLTestCase(BaseTestGenerator):
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
 
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function disconnect database."""
diff --git a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_save_permissions.py b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_save_permissions.py
index 30a785276..27fa831dc 100644
--- a/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_save_permissions.py
+++ b/web/pgadmin/tools/grant_wizard/tests/test_grant_wizard_save_permissions.py
@@ -86,7 +86,7 @@ class GrantWizardSavePermissionsTestCase(BaseTestGenerator):
                 response = self.grant_permissions()
                 actual_response_code = response.status_code
                 expected_response_code = self.expected_data['status_code']
-        self.assertEquals(actual_response_code, expected_response_code)
+        self.assertEqual(actual_response_code, expected_response_code)
 
     def tearDown(self):
         """This function disconnect database."""
diff --git a/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py b/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
index d8f3abddf..2895097e2 100644
--- a/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
+++ b/web/pgadmin/tools/import_export/tests/test_check_utility_exists_route_import_export.py
@@ -32,6 +32,6 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
         does_utility_exist_mock.return_value = False
         server_id = self.server_information['server_id']
         response = self.tester.get(self.url.format(server_id))
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(self.expected_success_value, response['success'])
+        self.assertEqual(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py b/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
index 4388f5ef4..5fa80a3c2 100644
--- a/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
+++ b/web/pgadmin/tools/maintenance/tests/test_check_utility_exists_route_maintenance.py
@@ -32,6 +32,6 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
         does_utility_exist_mock.return_value = False
         server_id = self.server_information['server_id']
         response = self.tester.get(self.url.format(server_id))
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(self.expected_success_value, response['success'])
+        self.assertEqual(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py b/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
index 6f61df8c2..bb0ef2e44 100644
--- a/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
+++ b/web/pgadmin/tools/restore/tests/test_check_utility_exists_route_restore.py
@@ -32,6 +32,6 @@ class TestUtilityCheckRouteCase(BaseTestGenerator):
         does_utility_exist_mock.return_value = False
         server_id = self.server_information['server_id']
         response = self.tester.get(self.url.format(server_id))
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response = json.loads(response.data.decode('utf-8'))
-        self.assertEquals(self.expected_success_value, response['success'])
+        self.assertEqual(self.expected_success_value, response['success'])
diff --git a/web/pgadmin/tools/schema_diff/tests/test_schema_diff_comp.py b/web/pgadmin/tools/schema_diff/tests/test_schema_diff_comp.py
index 088829d1e..a856122ac 100644
--- a/web/pgadmin/tools/schema_diff/tests/test_schema_diff_comp.py
+++ b/web/pgadmin/tools/schema_diff/tests/test_schema_diff_comp.py
@@ -109,14 +109,14 @@ class SchemaDiffTestCase():
 
         response = self.tester.get(comp_url)
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         return json.loads(response.data.decode('utf-8'))
 
     def runTest(self):
         """ This function will test the schema diff."""
 
         response = self.tester.get("schema_diff/initialize")
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
         response_data = json.loads(response.data.decode('utf-8'))
         self.trans_id = response_data['data']['schemaDiffTransId']
 
@@ -162,7 +162,7 @@ class SchemaDiffTestCase():
 
                     response = self.tester.get(url)
 
-                    self.assertEquals(response.status_code, 200)
+                    self.assertEqual(response.status_code, 200)
                     response_data = json.loads(response.data.decode('utf-8'))
                     file_obj.write(response_data['diff_ddl'])
             elif 'diff_ddl' in diff:
@@ -178,7 +178,7 @@ class SchemaDiffTestCase():
             response_data = self.compare()
             for diff in response_data['data']:
                 if diff['type'] in self.nodes:
-                    self.assertEquals(diff['status'], 'Identical')
+                    self.assertEqual(diff['status'], 'Identical')
         except Exception as e:
             os.remove(diff_file)
 
diff --git a/web/pgadmin/tools/search_objects/tests/test_api_search.py b/web/pgadmin/tools/search_objects/tests/test_api_search.py
index f12e9865e..cf10c997b 100644
--- a/web/pgadmin/tools/search_objects/tests/test_api_search.py
+++ b/web/pgadmin/tools/search_objects/tests/test_api_search.py
@@ -37,7 +37,7 @@ class SearchObjectsApiSearch(BaseTestGenerator):
         url_params = urlencode(url_params)
         response = self.tester.get(self.base_url + '?' + url_params)
 
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
     def runTest(self):
         database_info = parent_node_dict["database"][-1]
@@ -61,7 +61,7 @@ class SearchObjectsApiSearch(BaseTestGenerator):
             types_url = '/search_objects/types/' +\
                         str(server_id) + '/' + str(db_id)
             response = self.tester.get(types_url)
-            self.assertEquals(response.status_code, 200)
+            self.assertEqual(response.status_code, 200)
             types_data = json.loads(response.data.decode('utf-8'))['data']
 
             for a_type in types_data:
diff --git a/web/pgadmin/tools/search_objects/tests/test_api_types.py b/web/pgadmin/tools/search_objects/tests/test_api_types.py
index aed5571ad..902456735 100644
--- a/web/pgadmin/tools/search_objects/tests/test_api_types.py
+++ b/web/pgadmin/tools/search_objects/tests/test_api_types.py
@@ -36,11 +36,11 @@ class SearchObjectsApiTypes(BaseTestGenerator):
 
         url = self.url + '/' + str(server_id) + '/' + str(db_id)
         response = self.tester.get(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # repsonse data should be dict
         response_data = json.loads(response.data.decode('utf-8'))['data']
-        self.assertEquals(type(response_data), dict)
+        self.assertEqual(type(response_data), dict)
 
         # response data key values should not be None
         for key, value in response_data.items():
diff --git a/web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py b/web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py
index 810a7f0c5..2b112b573 100644
--- a/web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py
+++ b/web/pgadmin/tools/search_objects/tests/test_search_objects_helper.py
@@ -104,17 +104,17 @@ class SearchObjectsHelperTest(BaseTestGenerator):
             # test template path
             manager.server_type = 'pg'
             manager.version = 906000
-            self.assertEquals(so_obj.get_template_path(),
+            self.assertEqual(so_obj.get_template_path(),
                               'search_objects/sql/pg/#906000#')
 
-            self.assertEquals(so_obj.get_show_node_prefs(),
+            self.assertEqual(so_obj.get_show_node_prefs(),
                               self.expected_show_node_prefs)
 
-            self.assertEquals(so_obj.get_supported_types(),
+            self.assertEqual(so_obj.get_supported_types(),
                               self.expected_supported_types)
 
-            self.assertEquals(so_obj.get_supported_types(skip_check=True),
+            self.assertEqual(so_obj.get_supported_types(skip_check=True),
                               self.expected_supported_types_skip)
 
-            self.assertEquals(so_obj.search('searchtext', 'all'),
+            self.assertEqual(so_obj.search('searchtext', 'all'),
                               self.expected_search_op)
diff --git a/web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py b/web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py
index 812058ec4..37ee5f47e 100644
--- a/web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py
+++ b/web/pgadmin/tools/sqleditor/tests/test_download_csv_query_tool.py
@@ -119,7 +119,7 @@ class TestDownloadCSV(BaseTestGenerator):
         url = self.init_url.format(
             self.trans_id, test_utils.SERVER_GROUP, self._sid, self._did)
         response = self.tester.post(url)
-        self.assertEquals(response.status_code, 200)
+        self.assertEqual(response.status_code, 200)
 
         # If invalid tx test then make the Tx id invalid so that tests fails
         if not self.is_valid_tx:
@@ -137,7 +137,7 @@ class TestDownloadCSV(BaseTestGenerator):
                     response = self.tester.post(url, data={"query": self.sql})
                     headers = dict(response.headers)
                     # when valid query
-                    self.assertEquals(response.status_code, 200)
+                    self.assertEqual(response.status_code, 200)
                     csv_data = response.data.decode()
                     self.assertTrue(self.output_columns in csv_data)
                     self.assertTrue(self.output_values in csv_data)
@@ -149,7 +149,7 @@ class TestDownloadCSV(BaseTestGenerator):
                     response = self.tester.post(url, data={"query": self.sql})
                     headers = dict(response.headers)
                     # when valid query
-                    self.assertEquals(response.status_code, 200)
+                    self.assertEqual(response.status_code, 200)
                     csv_data = response.data.decode()
                     self.assertTrue(self.output_columns in csv_data)
                     self.assertTrue(self.output_values in csv_data)
@@ -167,7 +167,7 @@ class TestDownloadCSV(BaseTestGenerator):
             self.app.logger.disabled = False
             if self.is_valid:
                 # when valid query
-                self.assertEquals(response.status_code, 200)
+                self.assertEqual(response.status_code, 200)
                 csv_data = response.data.decode()
                 self.assertTrue(self.output_columns in csv_data)
                 self.assertTrue(self.output_values in csv_data)
@@ -175,7 +175,7 @@ class TestDownloadCSV(BaseTestGenerator):
                 self.assertIn(self.filename, headers['Content-Disposition'])
             elif not self.is_valid and self.is_valid_tx:
                 # When user enters wrong query
-                self.assertEquals(response.status_code, 200)
+                self.assertEqual(response.status_code, 200)
                 response_data = json.loads(response.data.decode('utf-8'))
                 self.assertFalse(response_data['data']['status'])
                 self.assertTrue(
@@ -184,7 +184,7 @@ class TestDownloadCSV(BaseTestGenerator):
                 )
             else:
                 # when TX id is invalid
-                self.assertEquals(response.status_code, 500)
+                self.assertEqual(response.status_code, 500)
 
         database_utils.disconnect_database(self, self._sid, self._did)
 
